> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Service Account

> Deletes a service account.

`Unary` · [`Service Accounts`](/docs/api-reference/generated/service-account/overview)

Deletes a service account.

Use this method to:

* Remove unused service accounts
* Revoke service account access
* Clean up expired accounts

### Examples

* Delete service account:

  Permanently removes a service account.

  ```yaml theme={null}
  serviceAccountId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.ServiceAccountService/DeleteServiceAccount
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.ServiceAccountService/DeleteServiceAccount" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "serviceAccountId": "<service-account-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.service_account_pb2 as service_account_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = service_account_pb2.DeleteServiceAccountRequest(
      service_account_id="<service-account-id>",
  )
  response = ona.services.service_account.delete_service_account(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { DeleteServiceAccountRequestSchema } from "@gitpod/sdk/gitpod/v1/service_account_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(DeleteServiceAccountRequestSchema, {
      serviceAccountId: "<service-account-id>",
    });
    const response = await ona.services.serviceAccount.deleteServiceAccount(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.DeleteServiceAccountRequest{
  		ServiceAccountId: "<service-account-id>",
  	})
  	response, err := ona.Services.ServiceAccount.DeleteServiceAccount(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "serviceAccountId": "<service-account-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.DeleteServiceAccountRequest`

| Field              | Type   | Required | Description                      |
| ------------------ | ------ | -------- | -------------------------------- |
| `serviceAccountId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.DeleteServiceAccountResponse`

This message has no fields.
